Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen
Class SVGAttribute

    java.lang.Object
      org.apache.batik.svggen.SVGAttribute

public class SVGAttribute
extends java.lang.Object

Represents an SVG attribute and provides convenience methods to determine whether or not the attribute applies to a given element type.

Constructor Summary
`SVGAttribute(java.util.Set applicabilitySet, boolean isSetInclusive)`

Method Summary
`boolean` | `appliesTo(java.lang.String tag)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGAttribute

    public SVGAttribute(java.util.Set applicabilitySet,
                        boolean isSetInclusive)

Parameters:
  `applicabilitySet` - Set of Element tags (Strings) to which the attribute applies
  `isSetInclusive` - defines whether elements in applicabilitySet define the list of elements to which the attribute applies or to which it does not apply

Method Detail

### appliesTo

    public boolean appliesTo(java.lang.String tag)

  Parameters:
    `tag` - the tag of the Element to which the attribute could apply.
  Returns:
    true if the attribute applies to the given Element

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.